Autor Téma: Instalace Google Earth 6 a řešení bugu  (Přečteno 16354 krát)

Offline Ota Trkola

  • Administrátor
  • Aktivní­ uživatel
  • *****
  • Příspěvků: 1.298
    • Zobrazit profil
  • Jabber: otas.pe@jabbim.cz
Instalace Google Earth 6 a řešení bugu
« kdy: 04. 12. 2010, 14:11:31 »
Jak asi víte, vyšla nová verze Google Earth 6, která mimo jiné přináší integrovanou službu Street View a prohlížení ulic ve 3D. Samozřejmě jsem jakožto uživatel tohoto programu chtěl novou verzi vyzkoušet. Odinstaloval jsem tedy přes Synaptic verzi 5.2 a pro instalaci verze 6 jsem použil osvědčený postup s použitím balíčku googleearth-package:

Kód: [Vybrat]
$ sudo aptitude install googleearth-package
$ make-googleearth-package --force
$ sudo dpkg -i googleearth*

Kompilace a instalace proběhla v pořádku. Překvapení přišlo, když jsem se pokusil Google Earth spustit - nic se nedělo, program se nespustil. Zkusil jsem tedy spuštění z terminálu a vrátila se mi tato chyba:

Kód: [Vybrat]
$ googleearth
/usr/bin/googleearth: 14: /usr/lib/googleearth/googleearth-bin: not found

Jak jsem zjistil, je to nahlášený bug. Tento problém jde ale vyřešit a to následujícím způsobem:

Kód: [Vybrat]
$ sudo aptitude install lsb-core
Poté je potřeba provést první spuštění Google Earth z terminálu:

Kód: [Vybrat]
$ googleearth
No vida, Google Earth 6 funguje! Doufám, že někomu tento postup pomůže, stejně jako pomohl při instalaci na můj desktop s Debianem Sid. Samozřejmě je možné, že někomu, kdo má nainstalované všechny potřebné balíčky, se uvedený bug neprojeví a program bude fungovat ihned po instalaci.

Jedna z nových vlastností je i možnost zobrazit i starší snímky, pokud jsou k dispozici. Slouží k tomu posuvník vlevo nahoře.



Další z novinek je integrovaný Street View:

« Poslední změna: 04. 12. 2010, 17:22:57 od Ota Trkola »

Offline Petr Krčmář

  • Administrátor
  • Aktivní­ uživatel
  • *****
  • Příspěvků: 452
    • Zobrazit profil
    • Debian-linux.cz
Re:Instalace Google Earth 6 a řešení bugu
« Odpověď #1 kdy: 04. 12. 2010, 15:04:33 »
Díky moc, potvrzuji funkčnost na Debianu Squeeze (testing).

Offline l_o_g

  • Začátečník
  • **
  • Příspěvků: 34
  • Too weird to live and too rare to die!
    • Zobrazit profil
Re:Instalace Google Earth 6 a řešení bugu
« Odpověď #2 kdy: 04. 12. 2010, 19:46:10 »
Díky za návod. Právě jsem si to nainstaloval na notebook, kde mám SIDa. Sice mi to při 'make-googleearth-package --force' vypisovalo samé warningy, ale program funguje. Po prvním vypnutí se mi v terminálu objevila chybová hláška, ale teď už je to dobrý a vypíná se to normálně.
Spokojený uživatel Debianu Squeeze.

Offline johnnycage

  • Začátečník
  • **
  • Příspěvků: 90
    • Zobrazit profil
Re:Instalace Google Earth 6 a řešení bugu
« Odpověď #3 kdy: 11. 12. 2010, 10:39:21 »
Zdravim.

Dostal som sa az po instalaciu balicka lsb-core. Pri instalacii mi ale chce nainstalovat aj tieto balicky ako zavislosti: alien, cups-bsd, cups-client, cups-commom, exim4, exim4-base, exim4-config, exim4-daemon-light, heirloom-mailx, libelf1, libfile-copy-recursive-perl, librpm1, librpmbuild1, librpmio1, lsb-core, pax, rpm, rpm-commom, rpm2cpio, update-inetd. Je nutne instalovat vsetky tieto balicky? Neda sa to nejako obist?
OS: Debian Testing 64bit, Kernel 2.6.39, GNOME 2.30.2
NB: Lenovo G550, Intel Pentium Dual-Core T4200 2.0GHz, RAM 3GB 1066MHz, WD 320GB, Intel GMA X4500 256MB

Offline Ota Trkola

  • Administrátor
  • Aktivní­ uživatel
  • *****
  • Příspěvků: 1.298
    • Zobrazit profil
  • Jabber: otas.pe@jabbim.cz
Re:Instalace Google Earth 6 a řešení bugu
« Odpověď #4 kdy: 11. 12. 2010, 10:54:18 »
Koukám, že v Sidovi je už googleearth-package ve verzi 0.6.1. Zkus nainstalovat tuto novější verzi bez instalace lsb-core. Třeba už bude Google Earth 6 fungovat i bez lsb-core. Pokud ano, prosím o info.

Offline johnnycage

  • Začátečník
  • **
  • Příspěvků: 90
    • Zobrazit profil
Re:Instalace Google Earth 6 a řešení bugu
« Odpověď #5 kdy: 11. 12. 2010, 11:04:03 »
Aha, jasne, zabudol som uviest, ze balicek googleearth-package mam nainstalovany z vetvy unstable, pretoze z vetvy testing bol zmazany. Takze, mam verziu 0.6.1 a pri instalacii vytvoreneho balicka google-earth to pyta vsetky tie zavislosti.
« Poslední změna: 11. 12. 2010, 11:05:29 od johnnycage »
OS: Debian Testing 64bit, Kernel 2.6.39, GNOME 2.30.2
NB: Lenovo G550, Intel Pentium Dual-Core T4200 2.0GHz, RAM 3GB 1066MHz, WD 320GB, Intel GMA X4500 256MB

Offline Ota Trkola

  • Administrátor
  • Aktivní­ uživatel
  • *****
  • Příspěvků: 1.298
    • Zobrazit profil
  • Jabber: otas.pe@jabbim.cz
Re:Instalace Google Earth 6 a řešení bugu
« Odpověď #6 kdy: 11. 12. 2010, 11:07:24 »
A bez instalace lsb-core to nefunguje? Pokud ne, zkus:

Kód: [Vybrat]
sudo aptitude install lsb-core --without-recommends
Ale mám pocit, že to nepomůže a bude nutné ty balíčky nainstalovat.

Offline johnnycage

  • Začátečník
  • **
  • Příspěvků: 90
    • Zobrazit profil
Re:Instalace Google Earth 6 a řešení bugu
« Odpověď #7 kdy: 11. 12. 2010, 11:13:19 »
Ked sa pokusim nainstalovat google-earth bez lsb-core, po nainstalovani mi vypise, ze doslo k chybe. A ak pouzijem aptitude install lsb-core --without-recommends, aj tak napise, ze je potrebne vsetky tie balicky nainstalovat.
OS: Debian Testing 64bit, Kernel 2.6.39, GNOME 2.30.2
NB: Lenovo G550, Intel Pentium Dual-Core T4200 2.0GHz, RAM 3GB 1066MHz, WD 320GB, Intel GMA X4500 256MB

Offline Ota Trkola

  • Administrátor
  • Aktivní­ uživatel
  • *****
  • Příspěvků: 1.298
    • Zobrazit profil
  • Jabber: otas.pe@jabbim.cz
Re:Instalace Google Earth 6 a řešení bugu
« Odpověď #8 kdy: 11. 12. 2010, 11:23:00 »
V tom případě, jak píšu výše, ti nezbývá než balíčky nainstalovat. Tedy pokud chceš funkční Google Earth. ;)

Offline Milano

  • Začátečník
  • **
  • Příspěvků: 17
    • Zobrazit profil
Re:Instalace Google Earth 6 a řešení bugu
« Odpověď #9 kdy: 19. 12. 2010, 02:00:23 »
Instalace v pohodě, ale nějak se Googleearth nekamarádí s Compizem. Vidím jenom tmu........ :'(
Lenovo Thinkpad T400
* Intel Core 2 Duo P8400 @ 2.26 GHz  x 2
* Intel GMA 4500MHD
* 8GB RAM
* Debian Stable

Dell Precision M6600
* Intel Core i7 2760QM @ 2.40 GHz x 8
* nVidia Quadro 3000M
* 24 GB RAM
* Debian Stable

Offline Erich Stark

  • Aktivní­ uživatel
  • ****
  • Příspěvků: 546
    • Zobrazit profil
Re:Instalace Google Earth 6 a řešení bugu
« Odpověď #10 kdy: 28. 12. 2010, 01:38:14 »
Ja som skusal instalovat odtialto http://www.google.com/earth/index.html je tam tiez 6.1 a nechcelo mi ju nainstalovat pretoze vyzadovalo stejne zavislosti


Kód: [Vybrat]
root@flex:/home/erino72# sh /home/erino72/Downloads/GoogleEarthLinux.bin
Verifying archive integrity... All good.
Uncompressing Google Earth for GNU/Linux 6.0.1.2032.............................................................................................
This version of Google Earth requires LSB 4.0 support which you
do not seem to have.
[: 291: missing ]
Id yum install redhat-lsb je neznáme.
setup.data/setup.xml:1: parser error : Document is empty

^
setup.data/setup.xml:1: parser error : Start tag expected, '<' not found

^
Couldn't load 'setup.data/setup.xml'
root@flex:/home/erino72# aptitude install lsb-core
Nasledujúce NOVÉ balíky sa nainštalujú:         
  alien{a} cups-bsd{a} exim4{a} exim4-base{a} exim4-config{a}
  exim4-daemon-light{a} heirloom-mailx{a} librpmbuild1{a} lsb-core pax{a}
  rpm{a}
0 balíkov aktualizovaných, 11 nových nainštalovaných, 0 na odstránenie a 0 neaktualizovaných.
Treba stiahnuť 4 145 kB archívov. Po rozbalení sa použije 7 770 kB.
Chcete pokračovať? [Y/n/?] ^C
" The box said that I needed to have Windows XP or better ... so I installed Debian ."

Offline Ota Trkola

  • Administrátor
  • Aktivní­ uživatel
  • *****
  • Příspěvků: 1.298
    • Zobrazit profil
  • Jabber: otas.pe@jabbim.cz
Re:Instalace Google Earth 6 a řešení bugu
« Odpověď #11 kdy: 28. 12. 2010, 15:56:14 »
Nicméně nyní jsou již ty závislosti vyžadovány při instalaci. Po vydání 6.0 tomu tak nebylo. Tímto je tento návod celkem již zbytečný.

Offline 1arash

  • Nováček
  • *
  • Příspěvků: 2
    • Zobrazit profil
  • Jabber: arash@jabber.cz
Re:Instalace Google Earth 6 a řešení bugu
« Odpověď #12 kdy: 28. 12. 2010, 16:46:01 »
Ja som install Google earth 6  - nasiel som pre fedoru14 ale uz neviem link navodu-tak som to install na debian takto:  open terminal patch = GoogleEarthLinux.bin   
Kód: [Vybrat]
chmod 755 GoogleEarthLinux.bin
./GoogleEarthLinux.bin --target /tmp/ge
cd /tmp/ge/setup.data/bin/Linux/x86/
mv setup.gtk setup.gtk2
cd /tmp/ge
./setup.sh
v terminali bez root ide ok aspon umna . Ak to niekto skusi tak nech da vediet ci mu to ide ok dik vopred.Aj starsia verzia ide spustit -asik preto ze je install  v tmp 6ka verzia..:
Tak som nasiel ten link navodu pred mesiacom som mal aj fedoru14 tak som to install aj  na debianie pred mesiacom nazad a tu je ten link:
http://www.howtoforge.com/the-perfect-desktop-fedora-14-i686-gnome-p5
« Poslední změna: 28. 12. 2010, 18:08:23 od 1arash »

Offline Ota Trkola

  • Administrátor
  • Aktivní­ uživatel
  • *****
  • Příspěvků: 1.298
    • Zobrazit profil
  • Jabber: otas.pe@jabbim.cz
Re:Instalace Google Earth 6 a řešení bugu
« Odpověď #13 kdy: 23. 06. 2011, 22:08:36 »
V současné době nejjednodušší instalace:

Přidat řádek do /etc/apt/sources.list:

Kód: [Vybrat]
deb http://dl.google.com/linux/earth/deb/ stable main
A nainstalovat:

Kód: [Vybrat]
$ sudo aptitude install google-earth-stable
Výhodou je že se Google Earth bude sám aktualizovat.